CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

OpenFoam 1.6-ext - error ./Allwmake in /src

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   June 9, 2011, 01:56
Default OpenFoam 1.6-ext - error ./Allwmake in /src
  #1
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
Hello,

after installing the thirdparty software, I have a problem by doing ./Allwmake in /src

Code:
+ wmakePrintBuild -check
no git description found
+ /bin/rm -f OpenFOAM/Make/linux64GccDPOpt/global.C
+ wmakeLnInclude OpenFOAM
+ wmakeLnInclude OSspecific/POSIX
+ Pstream/Allwmake
+ wmake libso dummy
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/dummy/libPstream.so' is up to date.
+ case "$WM_MPLIB" in
+ set +x

Note: ignore spurious warnings about missing mpicxx.h headers
+ WM_OPTIONS=linux64GccDPOptOPENMPI
+ wmake libso mpi
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/openmpi-1.4.3/libPstream.so' is up to date.
+ wmake libo OSspecific/POSIX
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libOSspecific.o' is up to date.
+ wmake libso OpenFOAM
SOURCE=global/global.Cver ; sed -e 's/VERSION_STRING/1.6-ext/' -e 's/BUILD_STRING/1.6-ext/' $SOURCE > Make/linux64GccDPOpt/global.C; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3  -DNoRepository -ftemplate-depth-40 -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/zlib-1.2.3 -IlnInclude -I. -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude   -fPIC -c Make/linux64GccDPOpt/global.C -o Make/linux64GccDPOpt/global.o
SOURCE=db/IOstreams/gzstream/gzstream.C ;  g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3  -DNoRepository -ftemplate-depth-40 -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/zlib-1.2.3 -IlnInclude -I. -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude   -fPIC -c $SOURCE -o Make/linux64GccDPOpt/gzstream.o
In file included from db/IOstreams/gzstream/gzstream.C:29:
db/IOstreams/gzstream/gzstream.h:35:18: error: zlib.h: Datei oder Verzeichnis nicht gefunden
In file included from db/IOstreams/gzstream/gzstream.C:29:
db/IOstreams/gzstream/gzstream.h:62: error: ‘gzFile’ does not name a type
db/IOstreams/gzstream/gzstream.C: In member function ‘gzstreambuf* gzstreambuf::open(const char*, int)’:
db/IOstreams/gzstream/gzstream.C:61: error: ‘file’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C:61: error: ‘gzopen’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C: In member function ‘gzstreambuf* gzstreambuf::close()’:
db/IOstreams/gzstream/gzstream.C:72: error: ‘file’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C:72: error: ‘gzclose’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C:72: error: ‘Z_OK’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C: In member function ‘virtual int gzstreambuf::underflow()’:
db/IOstreams/gzstream/gzstream.C:90: error: ‘file’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C:90: error: ‘gzread’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C: In member function ‘int gzstreambuf::flush_buffer()’:
db/IOstreams/gzstream/gzstream.C:107: error: ‘file’ was not declared in this scope
db/IOstreams/gzstream/gzstream.C:107: error: ‘gzwrite’ was not declared in this scope
make: *** [Make/linux64GccDPOpt/gzstream.o] Fehler 1
I use suse enterprise. Can somebody help me again?

Preibie
preibie is offline   Reply With Quote

Old   June 9, 2011, 03:21
Default
  #2
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
It looks like your system is missing the zlib library.

edit:
Make sure you have all the following packages installed before you attempt to compile:
http://openfoamwiki.net/index.php/In...eeded_Packages

Last edited by akidess; June 9, 2011 at 03:23. Reason: Added more information
akidess is offline   Reply With Quote

Old   June 9, 2011, 08:34
Default
  #3
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
I tried to install the packages. Some of them are not in the standard repository of suse enterprise:
python-dev
libqt4-dev
libreadline5-dev
build-essential
zlib1g-dev
byacc
Can someone give me an advice how I can install them.
Do I need to install git for 1.6-ext?
preibie is offline   Reply With Quote

Old   June 9, 2011, 08:49
Default
  #4
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
They will be there, but named slightly different (*sigh*). I believe SuSE denotes developer packages with "devel" instead of "dev". About build essential see http://forums.opensuse.org/applicati...essential.html. I have no clue about the byacc package, but you can try to compile without it, maybe it's not required on SuSE.

I think you can download a tarball of OF-1.6-ext, but I recommend installing git and using git pull.

Last edited by akidess; June 9, 2011 at 08:51. Reason: noticed the question about of-extend and git
akidess is offline   Reply With Quote

Old   June 9, 2011, 09:04
Default
  #5
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
devel instead of dev is not key.
preibie is offline   Reply With Quote

Old   June 9, 2011, 09:11
Default
  #6
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
If you would spend two minutes on google you would have found: http://software.opensuse.org/114/de

Searching there for "python-devel" gives:
python-devel-2.7-8.4.i586.rpm

For "libqt4-devel":
libqt4-devel-4.7.1-7.1.i586.rpm

I'm pretty sure there will be equivalents for the other packages, and that you would find the packages doing the same search in YaST as well.
akidess is offline   Reply With Quote

Old   June 9, 2011, 09:25
Default
  #7
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
I'am not a linux expert!
Can I use a rpm package for SLES which is made for openSuse?
preibie is offline   Reply With Quote

Old   June 10, 2011, 03:29
Default
  #8
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
I'm not a linux expert either. But you might agree that "devel instead of dev is not key" does not help solve the problem at all. Better - what exactly have you tried, and why do you think it failed?

Anyway, step by step: Click Start -> System -> Configuration -> Install / Remove Software -> Enter your admin password -> (YaST will pop up) -> Click Search tab -> Search for "libqt4-devel" -> Mark the appropriate package in the search results -> Repeat for next package -> When done, click Accept -> Packages will now be installed.
akidess is offline   Reply With Quote

Old   June 10, 2011, 03:52
Default
  #9
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
Thanks for your help!
I tried and found no package. So I ad the developer repository named SDK and found some of the missed packages. So I must search for the rest: libreadline5-dev
build-essential
zlib1g-dev
byacc



preibie is offline   Reply With Quote

Old   June 10, 2011, 04:50
Default
  #10
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
Good job! Happy foaming!
akidess is offline   Reply With Quote

Old   June 14, 2011, 03:56
Default
  #11
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
Hello again,

after installing the missing packages I tried ./Allwmake but something is still wrong. Here is the output till the first error.

Code:
make: Für das Ziel »all« ist nichts zu tun.
+ wmakePrintBuild -check
same version as previous build
+ wmakeLnInclude OpenFOAM
+ wmakeLnInclude OSspecific/POSIX
+ Pstream/Allwmake
+ wmake libso dummy
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/dummy/libPstream.so' is up to date.
+ case "$WM_MPLIB" in
+ set +x

Note: ignore spurious warnings about missing mpicxx.h headers
+ WM_OPTIONS=linux64GccDPOptOPENMPI
+ wmake libso mpi
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/openmpi-1.4.3/libPstream.so' is up to date.
+ wmake libo OSspecific/POSIX
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libOSspecific.o' is up to date.
+ wmake libso OpenFOAM
SOURCE=global/global.Cver ; sed -e 's/VERSION_STRING/1.6-ext/' -e 's/BUILD_STRING/1.6-ext-b2b3a4ef31f5/' $SOURCE > Make/linux64GccDPOpt/global.C; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3  -DNoRepository -ftemplate-depth-40 -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/zlib-1.2.3 -IlnInclude -I. -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude   -fPIC -c Make/linux64GccDPOpt/global.C -o Make/linux64GccDPOpt/global.o
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libOpenFOAM.so' is up to date.
+ decompositionMethods/AllwmakeLnInclude
+ wmakeLnInclude decompositionMethods
+ wmakeLnInclude metisDecomp
+ wmakeLnInclude parMetisDecomp
+ wmakeLnInclude scotchDecomp
+ decompositionMethods/Allwmake
+ wmakeLnInclude decompositionMethods
+ wmake libso scotchDecomp
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libscotchDecomp.so' is up to date.
+ wmake libso metisDecomp
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libmetisDecomp.so' is up to date.
+ wmake libso parMetisDecomp
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/openmpi-1.4.3/libparMetisDecomp.so' is up to date.
+ wmake libso decompositionMethods
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libdecompositionMethods.so' is up to date.
+ wmake libso lagrangian/basic
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/liblagrangian.so' is up to date.
+ wmake libso triSurface
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libtriSurface.so' is up to date.
+ wmake libso edgeMesh
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libedgeMesh.so' is up to date.
+ wmake libso surfMesh
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsurfMesh.so' is up to date.
+ wmake libso meshTools
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libmeshTools.so' is up to date.
+ wmake libso finiteVolume
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfiniteVolume.so' is up to date.
+ wmake libso finiteArea
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfiniteArea.so' is up to date.
+ wmake libso lduSolvers
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/liblduSolvers.so' is up to date.
+ wmake libso VectorN
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libVectorN.so' is up to date.
+ cd tetDecompositionFiniteElement
+ ./Allwmake
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcellDecompFiniteElement.so' is up to date.
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfaceDecompFiniteElement.so' is up to date.
+ dynamicMesh/AllwmakeLnInclude
+ wmakeLnInclude dynamicMesh
+ wmakeLnInclude dynamicFvMesh
+ wmakeLnInclude topoChangerFvMesh
+ meshMotion/AllwmakeLnInclude
+ wmakeLnInclude solidBodyMotion
+ wmakeLnInclude fvMotionSolver
+ wmakeLnInclude RBFMotionSolver
+ wmakeLnInclude mesquiteMotionSolver
+ dynamicMesh/Allwmake
+ wmakeLnInclude dynamicMesh
+ wmake libso dynamicMesh
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libdynamicMesh.so' is up to date.
+ meshMotion/Allwmake
+ wmake libso solidBodyMotion
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsolidBodyMotion.so' is up to date.
+ wmake libso fvMotionSolver
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfvMotionSolver.so' is up to date.
+ wmake libso RBFMotionSolver
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libRBFMotionSolver.so' is up to date.
+ wmake libso mesquiteMotionSolver
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libmesquiteMotionSolver.so' is up to date.
+ cd tetDecompositionMotionSolver
+ ./Allwmake
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcellDecompositionMotionSolver.so' is up to date.
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfaceDecompositionMotionSolver.so' is up to date.
+ wmake libso dynamicFvMesh
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libdynamicFvMesh.so' is up to date.
+ wmake libso topoChangerFvMesh
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libtopoChangerFvMesh.so' is up to date.
+ wmake libso coupledMatrix
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcoupledLduMatrix.so' is up to date.
+ wmake libso sampling
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsampling.so' is up to date.
+ wmake libso ODE
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libODE.so' is up to date.
+ wmake libso POD
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libPOD.so' is up to date.
+ wmake libso randomProcesses
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/librandomProcesses.so' is up to date.
+ thermophysicalModels/Allwmake
+ wmake libso specie
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libspecie.so' is up to date.
+ wmake libso thermophysicalFunctions
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libthermophysicalFunctions.so' is up to date.
+ wmake libso liquids
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libliquids.so' is up to date.
+ wmake libso liquidMixture
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libliquidMixture.so' is up to date.
+ wmake libso solids
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsolids.so' is up to date.
+ wmake libso solidMixture
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsolidMixture.so' is up to date.
+ wmake libso basic
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libbasicThermophysicalModels.so' is up to date.
+ wmake libso reactionThermo
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libreactionThermophysicalModels.so' is up to date.
+ wmake libso laminarFlameSpeed
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/liblaminarFlameSpeedModels.so' is up to date.
+ wmake libso chemistryModel
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libchemistryModel.so' is up to date.
+ wmake libso pdfs
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libpdf.so' is up to date.
+ wmake libso radiation
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libradiation.so' is up to date.
+ wmake libso barotropicCompressibilityModel
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libbarotropicCompressibilityModel.so' is up to date.
+ transportModels/Allwmake
+ wmake libso incompressible
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libincompressibleTransportModels.so' is up to date.
+ wmake libso interfaceProperties
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libinterfaceProperties.so' is up to date.
+ wmake libso viscoelastic
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libviscoelasticTransportModels.so' is up to date.
+ turbulenceModels/Allwmake
+ LES/Allwmake
+ wmakeLnInclude ../incompressible/LES
+ wmake libso LESfilters
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libLESfilters.so' is up to date.
+ wmake libso LESdeltas
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libLESdeltas.so' is up to date.
+ incompressible/Allwmake
+ wmake libso turbulenceModel
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libincompressibleTurbulenceModel.so' is up to date.
+ wmake libso RAS
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libincompressibleRASModels.so' is up to date.
+ wmake libso LES
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libincompressibleLESModels.so' is up to date.
+ compressible/Allwmake
+ wmake libso turbulenceModel
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcompressibleTurbulenceModel.so' is up to date.
+ wmake libso RAS
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcompressibleRASModels.so' is up to date.
+ wmake libso LES
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcompressibleLESModels.so' is up to date.
+ lagrangian/Allwmake
+ wmake libso basic
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/liblagrangian.so' is up to date.
+ wmake libso solidParticle
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsolidParticle.so' is up to date.
+ wmake libso intermediate
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/liblagrangianIntermediate.so' is up to date.
+ wmake libso dieselSpray
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libdieselSpray.so' is up to date.
+ wmake libso dsmc
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libdsmc.so' is up to date.
+ wmake libso coalCombustion
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcoalCombustion.so' is up to date.
+ molecularDynamics/Allwmake
+ wmake libso potential
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libpotential.so' is up to date.
+ wmake libso molecularMeasurements
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libmolecularMeasurements.so' is up to date.
+ wmake libso molecule
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libmolecule.so' is up to date.
+ postProcessing/Allwmake
+ wmake libo postCalc
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/postCalc.o' is up to date.
+ wmake libso foamCalcFunctions
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfoamCalcFunctions.so' is up to date.
+ functionObjects/Allwmake
+ wmake libso check
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libcheckFunctionObjects.so' is up to date.
+ wmake libso field
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libfieldFunctionObjects.so' is up to date.
+ wmake libso forces
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libforces.so' is up to date.
+ wmake libso IO
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libIOFunctionObjects.so' is up to date.
+ wmake libso utilities
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libutilityFunctionObjects.so' is up to date.
+ wmake libso systemCall
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libsystemCall.so' is up to date.
+ conversion/Allwmake
+ wmake libso
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libconversion.so' is up to date.
+ wmake libso autoMesh
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libautoMesh.so' is up to date.
+ wmake libso errorEstimation
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/liberrorEstimation.so' is up to date.
+ fvAgglomerationMethods/Allwmake
+ wmake libso MGridGenGamgAgglomeration
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libMGridGenGAMGAgglomeration.so' is up to date.
+ wmake libso engine
'/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt/libengine.so' is up to date.
+ wmake all solvers
g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3  -DNoRepository -ftemplate-depth-40 -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -IlnInclude -I. -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude   -fPIC Make/linux64GccDPOpt/laplacianFoam.o -L/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt \
         -lfiniteVolume -llduSolvers -lOpenFOAM -liberty -ldl   -lm -o /home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/applications/bin/linux64GccDPOpt/laplacianFoam
g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3  -DNoRepository -ftemplate-depth-40 -I../engineFoam -I../XiFoam -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/engine/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/thermophysicalModels/specie/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/thermophysicalModels/basic/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/thermophysicalModels/reactionThermo/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/turbulenceModels/compressible/turbulenceModel -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -IlnInclude -I. -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude   -fPIC Make/linux64GccDPOpt/coldEngineFoam.o -L/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt \
         -lengine -lcompressibleTurbulenceModel -lcompressibleRASModels -lcompressibleLESModels -lbasicThermophysicalModels -lspecie -lfiniteVolume -llduSolvers -lOpenFOAM -liberty -ldl   -lm -o /home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/applications/bin/linux64GccDPOpt/coldEngineFoam
/usr/lib64/gcc/x86_64-suse-linux/4.3/../../../../x86_64-suse-linux/bin/ld: cannot find -liberty
collect2: ld returned 1 exit status
make[2]: *** [/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/applications/bin/linux64GccDPOpt/laplacianFoam] Fehler 1
make[1]: *** [laplacianFoam] Fehler 2
/usr/lib64/gcc/x86_64-suse-linux/4.3/../../../../x86_64-suse-linux/bin/ld: cannot find -liberty
collect2: ld returned 1 exit status
make[2]: *** [/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/applications/bin/linux64GccDPOpt/coldEngineFoam] Fehler 1
make[1]: *** [coldEngineFoam] Fehler 2
g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3  -DNoRepository -ftemplate-depth-40 -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/POD/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/ODE/lnInclude -IlnInclude -I. -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude   -fPIC Make/linux64GccDPOpt/PODSolver.o -L/home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/lib/linux64GccDPOpt \
         -lfiniteVolume -lODE -lPOD -lOpenFOAM -liberty -ldl   -lm -o /home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/applications/bin/linux64GccDPOpt/PODSolver
/usr/lib64/gcc/x86_64-suse-linux/4.3/../../../../x86_64-suse-linux/bin/ld: cannot find -liberty
Have somebody an Idea.

Preibie
preibie is offline   Reply With Quote

Old   June 14, 2011, 04:03
Default
  #12
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
Installation of OpenFOAM 1.7.1 to OprnSUSE 11.2
akidess is offline   Reply With Quote

Old   June 14, 2011, 04:52
Default
  #13
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
YES! Thanks for the fast answer!

I tried a tutorial blockMesh; icoFoam all is fine. But as I make the foamInstalltest ther is a error. Is this a problem?
Code:
Executing /home/preibisch/OpenFOAM/OpenFOAM-1.6-ext/bin/foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell:              bash
Host:               ansyscfd
OS:                 Linux version 2.6.32.36-0.5-default
-------------------------------------------------------------------------------


Checking main OpenFOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory                Valid      Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/preibisch/OpenFOAM                 yes       yes
$WM_PROJECT_USER_DIR ...preibisch/OpenFOAM/preibisch-1.6-ext  yes       no
$WM_THIRD_PARTY_DIR  ...OpenFOAM/OpenFOAM-1.6-ext/ThirdParty  yes       yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory                Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR      .../preibisch/OpenFOAM/OpenFOAM-1.6-ext  yes  yes  yes

$FOAM_APPBIN         ...ext/applications/bin/linux64GccDPOpt  yes  yes  yes
$FOAM_SITE_APPBIN    ...OAM/site/1.6-ext/bin/linux64GccDPOpt  no        no
$FOAM_USER_APPBIN    ...ext/applications/bin/linux64GccDPOpt  no        no
$WM_DIR              ...isch/OpenFOAM/OpenFOAM-1.6-ext/wmake  yes  yes  yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory                Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN         ...OpenFOAM-1.6-ext/lib/linux64GccDPOpt  yes  yes  yes
$FOAM_SITE_LIBBIN    ...OAM/site/1.6-ext/lib/linux64GccDPOpt  no        no
$FOAM_USER_LIBBIN    ...reibisch-1.6-ext/lib/linux64GccDPOpt  no        no
$MPI_ARCH_PATH       ...nmpi-1.4.3/platforms/linux64GccDPOpt  yes  yes  yes
-------------------------------------------------------------------------------


Third party software
-------------------------------------------------------------------------------
Software Version   Location 
-------------------------------------------------------------------------------
WARNING: gcc version does not match gcc supplied with this release of OpenFOAM
         Supplied version: 4.3.3
         User version    : 4.3.4
         Minimum required: 4.3.1

gcc      4.3.4    
WARNING:  Conflicting installations:
          OpenFOAM settings        : /bin/gcc
          current path             : /usr/bin/gcc
          CRITICAL ERROR

gzip     1.3.12    /usr/bin/gzip                                            
tar      1.20      /bin/tar                                                 
icoFoam  1.6-ext   ...nFOAM-1.6-ext/applications/bin/linux64GccDPOpt/icoFoam
-------------------------------------------------------------------------------


Summary
-------------------------------------------------------------------------------
Base configuration ok.

The foam installation contains 1 critical error(s).

Review the output for warning messages and consult 
the installation guide for trouble shooting.

done.
preibie is offline   Reply With Quote

Old   June 14, 2011, 05:21
Default
  #14
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 919
Rep Power: 17
akidess will become famous soon enough
No, it's not a problem.
akidess is offline   Reply With Quote

Old   June 14, 2011, 05:57
Default
  #15
Member
 
Stefan
Join Date: Jun 2009
Posts: 67
Rep Power: 8
preibie is on a distinguished road
Thanks for your help!
preibie is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Test directory missing in OpenFOAM 1.6 ext andrewryan OpenFOAM 2 March 20, 2011 16:41
Cross-compiling OpenFOAM 1.7.0 on Linux for Windows 32 and 64bits with Mingw-w64 wyldckat OpenFOAM Announcements from Other Sources 3 September 8, 2010 06:25
kOmegaSST in openfoam 1.6 Gearb0x OpenFOAM 2 March 3, 2010 07:02
Cross-compiling OpenFOAM 1.6 on Linux for Windows 32 and 64bits with Mingw-w64 wyldckat OpenFOAM Announcements from Other Sources 7 January 19, 2010 16:39
OpenFOAM Version 1.6 Released opencfd OpenFOAM Announcements from ESI-OpenCFD 0 July 27, 2009 17:55


All times are GMT -4. The time now is 10:49.